import("stdfaust.lib");

secondorder(R1, C1, R2, C2, Vin) = wd.buildtree(connectionTree)
with {
    //declare nodes
    r1(i) = wd.resistor(i, R1);
    r2(i) = wd.resistor(i, R2);
    c1(i) = wd.capacitor(i, C1);
    c2(i) = wd.capacitor_Vout(i, C2);
    vin(i) = wd.u_voltage(i, Vin);

    //declare tree
    connectionTree = vin : wd.series : (r1, (wd.parallel : (c1, (wd.series: (r2, c2)))));
};

process = no.noise : secondorder(4.7*10^3, 4.7*10^3, 4.5*10^-8, 4.5*10^-8) <: _,_; 



